#
# spec file for package python-Trolly
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Trolly
Version:        0.2.1
Release:        5.5
Summary:        Trello api
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/plish/Trolly
Source:         http://pypi.python.org/packages/source/T/Trolly/Trolly-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  unzip
## Test requirements:
#BuildRequires:  python-nose
#BuildRequires:  python-httplib2
Requires:       python-httplib2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python wrapper around the Trello API. Provides a group of Python classes to represent Trello Objects. None of the 
classes cache values as they are designed to be inherited and extended to suit the needs of each user. Each class 
includes a basic set of methods based on general use cases. This library was based on work done by 
[sarumont](https://github.com/sarumont/py-trello). Very little was kept from this code, but still props on the initial 
work.

%prep
%setup -q -n Trolly-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.2.1:
  * Trolly has recently been updated to start the deprecation of
    non-pythonic conventions and improve PEP8 compliance. All the
    old pascal cased methods are now deprecated, they have been
    left in and point to the new method names. There are no
    breaking changes in this release but it is recommended you
    change your code to use the pythonic naming conventions.
- get the zip archive from pypi (tar.gz not available)
- add unzip as BuildRequires
- remove LICENCE.txt README.md: not provided anymore
* Tue Jun 25 2013 speilicke@suse.com
- Update to version 0.1.1:
  + setup.py now requires httplib2
* Wed Apr 10 2013 speilicke@suse.com
- Initial version
